# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-08-26 12:19
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('shipping', '0002_auto_20150604_1450'),
    ]

    operations = [
        migrations.CreateModel(
            name='ShippingRange',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('point_lat', models.FloatField(verbose_name='Широта')),
                ('point_lng', models.FloatField(verbose_name='Долгота')),
                ('min_basket_price', models.FloatField(verbose_name='Минимальная цена корзины')),
                ('max_basket_price', models.FloatField(verbose_name='Максимальная цена корзины')),
                ('price', models.DecimalField(decimal_places=2, max_digits=11, verbose_name='Цена за заказ')),
            ],
            options={
                'verbose_name': 'Ценовой диапазон',
                'verbose_name_plural': 'Ценовые диапазоны',
            },
        ),
        migrations.AlterModelOptions(
            name='orderanditemcharges',
            options={'verbose_name': 'Способ доставки', 'verbose_name_plural': 'Способы доставки'},
        ),
        migrations.AddField(
            model_name='shippingrange',
            name='shipping_method',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='shipping_ranges', to='shipping.OrderAndItemCharges'),
        ),
    ]
